use strict;
use warnings;
use Test::More tests => 1;

use_ok('Epoll::DB::ImportV');

ok(my $import = Epoll::DB::ImportV->new('dummy'),
    "Can instanciate dummy import");

warn $import->auth_type;
warn $import->can_authenticate;

$import->{params}{foo} = 1;
$import->{params}{bar} = 1;

warn $import->xml_params;
$import->load_xml_params($import->xml_params);
$import->load_xml_params($import->xml_params);

warn join ' ', keys %{$import->{params}};
